# comment out if not snapshot
%define gitdate	20230301

# rel to bump
%define rel	1

Name:		hardinfo
Version:	0.6
Release:	%mkrel %{?gitdate:0.git%gitdate.}%{rel}
Summary:	A system profiler for Linux
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://hardinfo.org
Source0:	https://github.com/lpereira/hardinfo/archive/%{?gitdate:master}%{?!gitdate:%{version}}/%{name}-%{?gitdate}%{?!gitdate:%version}.tar.%{?gitdate:gz}%{?!gitdate:bz2}
BuildRequires:	pciutils
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	gtk3-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	desktop-file-utils
BuildRequires:	cmake
BuildRequires:	lm_sensors-devel
Requires:	pciutils

%description
HardInfo is a system profiler for Linux systems.
It can display information about the hardware, software, and perform
simple benchmarks.

%prep
%autosetup -p1 -n %{name}-%{?gitdate:master}%{?!gitdate:%version}

%build
%cmake \
     -DCMAKE_INSTALL_LIBDIR=%{_lib} \
     -DCMAKE_BUILD_TYPE=Release \
     -DHARDINFO_GTK3=ON \
%cmake_build

%install
%cmake_install

desktop-file-install --vendor="" \
  --set-generic-name='Hardware Information' \
  --set-comment='System Information' \
  --remove-category="Application" \
  --add-category="Settings;HardwareSettings;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/hardinfo.png
%{_mandir}/man1/hardinfo.1*



%changelog
* Wed Mar 01 2023 kekepower <kekepower> 0.6-0.git20230301.1.mga9
+ Revision: 1946194
- Update to git release 20230301

* Tue Oct 11 2022 ghibo <ghibo> 0.6-0.git20220724.1.mga9
+ Revision: 1896215
- Update to git 20220724

* Mon Mar 28 2022 ghibo <ghibo> 0.6-0.git20211205.1.mga9
+ Revision: 1829880
- Update to git 20211205

* Sat Mar 13 2021 ghibo <ghibo> 0.6-0.git20210221.1.mga9
+ Revision: 1702281
- Update to git 20210221.
- Use gtk3.
- Add lm_sensors-devel to BuildRequires.

* Tue Aug 18 2020 martinw <martinw> 0.6-0.git20200817.1.mga8
+ Revision: 1614680
- Update to snapshot 20200817

* Tue Feb 18 2020 umeabot <umeabot> 0.6-0.git20191228.2.mga8
+ Revision: 1541488
- Mageia 8 Mass Rebuild

* Sat Dec 28 2019 kekepower <kekepower> 0.6-0.git20191228.1.mga8
+ Revision: 1474542
- Update to snapshot 20191228

* Fri Dec 27 2019 kekepower <kekepower> 0.6-0.git20191223.1.mga8
+ Revision: 1470717
- Update to snapshot 20191223
- Use new cmake macros

* Fri Jul 05 2019 kekepower <kekepower> 0.6-0.git20190705.1.mga8
+ Revision: 1418708
- Update to release git20190705 to fix a memory leak

* Thu Jul 04 2019 kekepower <kekepower> 0.6-0.git20190701.1.mga8
+ Revision: 1418172
- Update to release 0.6-git20190701

* Sun May 26 2019 kekepower <kekepower> 0.6-0.git20190525.1.mga7
+ Revision: 1399163
- Update to release git20190525

* Thu Jan 17 2019 kekepower <kekepower> 0.6-0.git20190115.1.mga7
+ Revision: 1357512
- Update to release git20190115

* Thu Dec 06 2018 kekepower <kekepower> 0.6-0.git20181203.1.mga7
+ Revision: 1338702
- Update to git branch from 20181203
- Fix wrong path (mga#23943)

* Sun Sep 23 2018 umeabot <umeabot> 0.5.2-0.git20180615.2.mga7
+ Revision: 1298165
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 0.5.2-0.git20180615.1.mga7
+ Revision: 1238507
- update to latest git snapshot
- switch to cmake build

* Thu Jun 21 2018 wally <wally> 0.5.1-14.mga7
+ Revision: 1238503
- add patch to fix build on aarch64
- use mga optflags
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 0.5.1-12.mga6
+ Revision: 902953
- patch 0: fix build
- BR pkgconfig(liblzma)

* Wed Jan 07 2015 alexl <alexl> 0.5.1-10.mga5
+ Revision: 808944
- added Comment in desktop file

* Wed Jan 07 2015 alexl <alexl> 0.5.1-9.mga5
+ Revision: 808943
- added GenericName in desktop file
- updated url tag

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-8.mga5
+ Revision: 748227
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-7.mga5
+ Revision: 680081
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-6.mga4
+ Revision: 505450
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.1-5.mga3
+ Revision: 353100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.5.1-4.mga3
+ Revision: 323779
- rebuild for new pcre

* Mon Aug 06 2012 luigiwalser <luigiwalser> 0.5.1-3.mga3
+ Revision: 278984
- rebuild for libffi

* Mon Sep 05 2011 doktor5000 <doktor5000> 0.5.1-1.mga2
+ Revision: 138900
- add BuildRequires on desktop-file-utils
- cleaned spec and minor cosmetics
- imported package hardinfo

